Subject: Research Technician Required

From: [email-masked] (Garry T Cole)
Date: Tue, 11 Jul 1995 17:21:00 -0400

Animal Research position at the Medical College of Ohio (MCO)

   A technician/research position is available immediately at MCO
involving murine studies of both antifungal drug efficacy and T-cell
immunity.  The latter is part of a research project focused on fungal
vaccine development.  

   Minimal requirement is a Bachelor of Science degree with at least 3
years of postgraduate experience in animal research.  Salary is
commensurate with experience.  Excellent fringe benefits.  

   Send C.V. and 3 letters of reference to Dr Garry T. Cole, Professor and
Chairman of Microbiology, MCO, 3000 Arlington Avenue, Toledo, OH, 43199.  
Or E-mail address given above.